Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKLineElement Class Reference

`#include <IWORKLineElement.h>`

Inheritance diagram for libetonyek::IWORKLineElement:

## Public Member Functions
| IWORKLineElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKPosition > | m_head
boost::optional< IWORKPosition > | m_tail
IWORKStylePtr_t | m_style

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKLineElement()

libetonyek::IWORKLineElement::IWORKLineElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLineElement::element | ( | int | name | ) |
| override private

## ◆ endOfElement()

void libetonyek::IWORKLineElement::endOfElement | ( |  | ) |
| override private

## ◆ startOfElement()

void libetonyek::IWORKLineElement::startOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_head

boost::optional<IWORKPosition> libetonyek::IWORKLineElement::m_head
| private

Referenced by element(), and endOfElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKLineElement::m_style
| private

Referenced by element(), and endOfElement().

## ◆ m_tail

boost::optional<IWORKPosition> libetonyek::IWORKLineElement::m_tail
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKLineElement.h
- IWORKLineElement.cpp